Package com.io7m.smfj.format.xml.internal

## Class SMFXHeaderAttributes

- java.lang.Object
- - com.io7m.smfj.format.xml.internal.SMFXHeaderAttributes

- All Implemented Interfaces:
    `com.io7m.blackthorne.api.BTElementHandlerType<SMFAttribute,​java.util.List<SMFAttribute>>`

      public final class SMFXHeaderAttributes
      extends java.lang.Object
      implements com.io7m.blackthorne.api.BTElementHandlerType<SMFAttribute,​java.util.List<SMFAttribute>>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFXHeaderAttributes​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​? extends SMFAttribute>>` | `onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
    `void` | `onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, SMFAttribute result)` |
    `java.util.List<SMFAttribute>` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

      `map, name, onCharacters, onElementStart, onShouldIgnoreUnrecognizedElements`

- - ### Constructor Detail

    - #### SMFXHeaderAttributes

          public SMFXHeaderAttributes​(com.io7m.blackthorne.api.BTElementParsingContextType context)

  - ### Method Detail

    - #### onChildHandlersRequested

          public java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​? extends SMFAttribute>> onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)

      Specified by:
        `onChildHandlersRequested` in interface `com.io7m.blackthorne.api.BTElementHandlerType<SMFAttribute,​java.util.List<SMFAttribute>>`

    - #### onChildValueProduced

          public void onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context,
                                           SMFAttribute result)

      Specified by:
        `onChildValueProduced` in interface `com.io7m.blackthorne.api.BTElementHandlerType<SMFAttribute,​java.util.List<SMFAttribute>>`

    - #### onElementFinished

          public java.util.List<SMFAttribute> onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)

      Specified by:
        `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<SMFAttribute,​java.util.List<SMFAttribute>>`